Search Reddit comments by keyword, optionally in one subreddit. Returns comment content, the comment, post and parent IDs, links to the comment and its post, subreddit, author, and publication date for each result. Supports fetching multiple pages of results in a single API call.
curl "https://apidirect.io/v1/reddit/comments?query=python&pages=2&sort_by=relevance" \
-H "X-API-Key: YOUR_API_KEY"
{
"posts": [
{
"comment_id": "pfewxa0",
"post_id": "1x3wfr5",
"parent_id": "1x3wfr5",
"comment_url": "https://www.reddit.com/r/TopCharacterTropes/comments/1x3wfr5/comment/pfewxa0/",
"title": "practicalcabinet on TopCharacterTropes",
"url": "https://www.reddit.com/gallery/1x3wfr5",
"date": "2026-10-12 09:25:33",
"author": "practicalcabinet",
"source": "Reddit (Comment)",
"domain": "reddit.com",
"subreddit": "TopCharacterTropes",
"snippet": "The Killer Rabbit of Caerbannog, from *Monty Python and the Holy Grail*, was actually played by a more common non-killer rabbit.\n\n",
"type": "comment",
"upvotes": 2461,
"post_upvotes": 12473,
"post_comments": 1625,
"sentiment": {
"emotions": {
"joy": 40,
"trust": 55,
"fear": 0,
"surprise": 10,
"sadness": 0,
"disgust": 0,
"anger": 0,
"anticipation": 30
},
"dominant_emotion": "trust",
"emotional_intensity": 5,
"polarity": "positive"
}
}
],
"pages": 2,
"count": 44
}
Our Reddit Comments API provides real-time data from Reddit, with results going back multiple years to a few seconds ago.
Each page returns approximately 20 comments. You can fetch up to 10 pages (~200 comments) in a single API call using the pages parameter.
Yes. Add subreddit=Python (or r/Python) to search only that subreddit's comments.
You only pay for successful requests. The Reddit Comments API costs $0.003 per page. There are no monthly fees or commitments. You get 50 free requests per endpoint every month.
No. You can sign up and use the free tier (50 requests/endpoint/month) without adding a payment method. You only need to add a card when you want to exceed the free tier.
Yes, there's a concurrency limit of 10 simultaneous requests per endpoint per user. If you need more, just get in touch.
Get your API key and start making requests in minutes. 50 requests/month free every month.
Get API Key